<?php
namespace Ep\Woo\Product;

/**
 * Proizvod.
 *
 * @package Ep\Woo\Product
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
interface ProductInterface
{
    /**
     * Vraća true ako je ovaj proizvod na akciji.
     *
     * @return bool
     */
    public function isOnSale(): bool;

    /**
     * Vraća cijenu ovog proizvoda.
     *
     * @return float
     */
    public function getPrice(): float;

    /**
     * Vraća redovnu cijenu ako je proizvod na akciji.
     *
     * @return float
     */
    public function getRegularPrice(): float;

    /**
     * Vraća akcijsku cijenu proizvoda.
     *
     * @return float
     */
    public function getSalePrice(): float;
}