<?php
namespace Ep\Woo\Product;

/**
 * Class ProductTrait
 *
 * @package Ep\Woo\Product
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
trait ProductTrait
{
    use WcProductTrait;

    /**
     * Vraća true ako je ovaj proizvod na akciji.
     *
     * @return bool
     */
    public function isOnSale(): bool
    {
        return $this->is_on_sale(null);
    }

    /**
     * Vraća cijenu ovog proizvoda.
     *
     * @return float
     */
    public function getPrice(): float
    {
        return floatval($this->get_prop('price', null));
    }

    /**
     * Vraća redovnu cijenu ako je proizvod na akciji.
     *
     * @return float
     */
    public function getRegularPrice(): float
    {
        return floatval($this->get_prop('regular_price', null));
    }

    /**
     * Vraća akcijsku cijenu proizvoda.
     *
     * @return float
     */
    public function getSalePrice(): float
    {
        return floatval($this->get_prop('sale_price', null));
    }
}